#include <iomanip>
#include <iostream>
#include <string>
using namespace std;

int main()
{
  long long n;
  cin >> n;
  float pniz[n];
  float zbirniz[n];
  float aniz[n];
  for(long long i=0;i<n;i++)
  {
    float A;
    float P;
    cin >> A >> P;
    aniz[i]=A;
    pniz[i]=P;
  }
  for(long long i=0;i<n;i++)
  {
      float zbir=0;
      for(long long j=0;j<n;j++)
      {
          if(pniz[i]<=pniz[j])
          {
              zbir+=aniz[j]*(pniz[i]/100.f);
          }
      }
      zbirniz[i]=zbir;
  }
  float maxx;
  cout << endl;
  for(long long i=0;i<n;i++)
  {
      
      if(maxx<zbirniz[i])
      {
          maxx=zbirniz[i];
      }
  }
  cout << setprecision(4) << fixed;
  cout << maxx;
}